diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -3781,9 +3772,9 @@ static int mov_read_ctts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         ctts_count++;
 
         av_log(c->fc, AV_LOG_TRACE, "count=%d, duration=%d\n",
-                count, duration);
+            count, duration);
 
-        if (i+2<entries)
+        if (i + 2 < entries)
             mov_update_dts_shift(sc, duration, c->fc);
     }
 
@@ -3799,10 +3790,10 @@ static int mov_read_ctts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_sgpd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_sgpd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     uint8_t version;
     uint32_t grouping_type;
     uint32_t default_length;
@@ -3822,7 +3813,7 @@ static int mov_read_sgpd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
      * This function only supports "sync" boxes, but the code is able to parse
      * other boxes (such as "tscl", "tsas" and "stsa")
      */
-    if (grouping_type != MKTAG('s','y','n','c'))
+    if (grouping_type != MKTAG('s', 'y', 'n', 'c'))
         return 0;
 
     default_length = version >= 1 ? avio_rb32(pb) : 0;
@@ -3839,7 +3830,7 @@ static int mov_read_sgpd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         uint32_t description_length = default_length;
         if (version >= 1 && default_length == 0)
             description_length = avio_rb32(pb);
-        if (grouping_type == MKTAG('s','y','n','c')) {
+        if (grouping_type == MKTAG('s', 'y', 'n', 'c')) {
             const uint8_t nal_unit_type = avio_r8(pb) & 0x3f;
             sc->sgpd_sync[i] = nal_unit_type;
             description_length -= 1;
@@ -3855,32 +3846,34 @@ static int mov_read_sgpd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_sbgp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_sbgp(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int i, entries;
     uint8_t version;
     uint32_t grouping_type;
-    MOVSbgp *table, **tablep;
-    int *table_count;
+    MOVSbgp* table, ** tablep;
+    int* table_count;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     version = avio_r8(pb); /* version */
     avio_rb24(pb); /* flags */
     grouping_type = avio_rl32(pb);
 
-    if (grouping_type == MKTAG('r','a','p',' ')) {
+    if (grouping_type == MKTAG('r', 'a', 'p', ' ')) {
         tablep = &sc->rap_group;
         table_count = &sc->rap_group_count;
-    } else if (grouping_type == MKTAG('s','y','n','c')) {
+    }
+    else if (grouping_type == MKTAG('s', 'y', 'n', 'c')) {
         tablep = &sc->sync_group;
         table_count = &sc->sync_group_count;
-    } else {
+    }
+    else {
         return 0;
     }
 
@@ -3916,12 +3909,12 @@ static int mov_read_sbgp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 /**
  * Get ith edit list entry (media time, duration).
  */
-static int get_edit_list_entry(MOVContext *mov,
-                               const MOVStreamContext *msc,
-                               unsigned int edit_list_index,
-                               int64_t *edit_list_media_time,
-                               int64_t *edit_list_duration,
-                               int64_t global_timescale)
+static int get_edit_list_entry(MOVContext* mov,
+    const MOVStreamContext* msc,
+    unsigned int edit_list_index,
+    int64_t* edit_list_media_time,
+    int64_t* edit_list_duration,
+    int64_t global_timescale)
 {
     if (edit_list_index == msc->elst_count) {
         return 0;
@@ -3931,11 +3924,11 @@ static int get_edit_list_entry(MOVContext *mov,
 
     /* duration is in global timescale units;convert to msc timescale */
     if (global_timescale == 0) {
-      avpriv_request_sample(mov->fc, "Support for mvhd.timescale = 0 with editlists");
-      return 0;
+        avpriv_request_sample(mov->fc, "Support for mvhd.timescale = 0 with editlists");
+        return 0;
     }
     *edit_list_duration = av_rescale(*edit_list_duration, msc->time_scale,
-                                     global_timescale);
+        global_timescale);
 
     if (*edit_list_duration + (uint64_t)*edit_list_media_time > INT64_MAX)
         *edit_list_duration = 0;
@@ -3962,20 +3955,20 @@ static int get_edit_list_entry(MOVContext *mov,
  *
  * Places the found ctts_index and ctts_sample in corresponding output args.
  */
-static int find_prev_closest_index(AVStream *st,
-                                   AVIndexEntry *e_old,
-                                   int nb_old,
-                                   MOVTimeToSample *tts_data,
-                                   int64_t tts_count,
-                                   int64_t timestamp_pts,
-                                   int flag,
-                                   int64_t* index,
-                                   int64_t* tts_index,
-                                   int64_t* tts_sample)
-{
-    MOVStreamContext *msc = st->priv_data;
-    FFStream *const sti = ffstream(st);
-    AVIndexEntry *e_keep = sti->index_entries;
+static int find_prev_closest_index(AVStream* st,
+    AVIndexEntry* e_old,
+    int nb_old,
+    MOVTimeToSample* tts_data,
+    int64_t tts_count,
+    int64_t timestamp_pts,
+    int flag,
+    int64_t* index,
+    int64_t* tts_index,
+    int64_t* tts_sample)
+{
+    MOVStreamContext* msc = st->priv_data;
+    FFStream* const sti = ffstream(st);
+    AVIndexEntry* e_keep = sti->index_entries;
     int nb_keep = sti->nb_index_entries;
     int64_t i = 0;
 
@@ -3988,14 +3981,14 @@ static int find_prev_closest_index(AVStream *st,
         timestamp_pts -= msc->dts_shift;
     }
 
-    sti->index_entries    = e_old;
+    sti->index_entries = e_old;
     sti->nb_index_entries = nb_old;
     *index = av_index_search_timestamp(st, timestamp_pts, flag | AVSEEK_FLAG_BACKWARD);
 
     // Keep going backwards in the index entries until the timestamp is the same.
     if (*index >= 0) {
         for (i = *index; i > 0 && e_old[i].timestamp == e_old[i - 1].timestamp;
-             i--) {
+            i--) {
             if ((flag & AVSEEK_FLAG_ANY) ||
                 (e_old[i - 1].flags & AVINDEX_KEYFRAME)) {
                 *index = i - 1;
@@ -4034,15 +4027,16 @@ static int find_prev_closest_index(AVStream *st,
             if (*tts_sample == 0) {
                 (*tts_index)--;
                 if (*tts_index >= 0)
-                  *tts_sample = tts_data[*tts_index].count - 1;
-            } else {
+                    *tts_sample = tts_data[*tts_index].count - 1;
+            }
+            else {
                 (*tts_sample)--;
             }
         }
     }
 
     /* restore AVStream state*/
-    sti->index_entries    = e_keep;
+    sti->index_entries = e_keep;
     sti->nb_index_entries = nb_keep;
     return *index >= 0 ? 0 : -1;
 }
@@ -4058,11 +4052,11 @@ static int find_prev_closest_index(AVStream *st,
  * This is needed because the mov_fix_index calls this func with the same
  * unincremented timestamp for successive discarded frames.
  */
-static int64_t add_index_entry(AVStream *st, int64_t pos, int64_t timestamp,
-                               int size, int distance, int flags)
+static int64_t add_index_entry(AVStream* st, int64_t pos, int64_t timestamp,
+    int size, int distance, int flags)
 {
-    FFStream *const sti = ffstream(st);
-    AVIndexEntry *entries, *ie;
+    FFStream* const sti = ffstream(st);
+    AVIndexEntry* entries, * ie;
     int64_t index = -1;
     const size_t min_size_needed = (sti->nb_index_entries + 1) * sizeof(AVIndexEntry);
 
@@ -4077,20 +4071,20 @@ static int64_t add_index_entry(AVStream *st, int64_t pos, int64_t timestamp,
         return -1;
 
     entries = av_fast_realloc(sti->index_entries,
-                              &sti->index_entries_allocated_size,
-                              requested_size);
+        &sti->index_entries_allocated_size,
+        requested_size);
     if (!entries)
         return -1;
 
     sti->index_entries = entries;
 
     index = sti->nb_index_entries++;
-    ie= &entries[index];
+    ie = &entries[index];
 
     ie->pos = pos;
     ie->timestamp = timestamp;
-    ie->min_distance= distance;
-    ie->size= size;
+    ie->min_distance = distance;
+    ie->size = size;
     ie->flags = flags;
     return index;
 }
@@ -4100,9 +4094,9 @@ static int64_t add_index_entry(AVStream *st, int64_t pos, int64_t timestamp,
  * by subtracting end_ts successively by the amounts given in frame_duration_buffer.
  */
 static void fix_index_entry_timestamps(AVStream* st, int end_index, int64_t end_ts,
-                                       int64_t* frame_duration_buffer,
-                                       int frame_duration_buffer_size) {
-    FFStream *const sti = ffstream(st);
+    int64_t* frame_duration_buffer,
+    int frame_duration_buffer_size) {
+    FFStream* const sti = ffstream(st);
     int i = 0;
     av_assert0(end_index >= 0 && end_index <= sti->nb_index_entries);
     for (i = 0; i < frame_duration_buffer_size; i++) {
@@ -4111,10 +4105,10 @@ static void fix_index_entry_timestamps(AVStream* st, int end_index, int64_t end_
     }
 }
 
-static int add_tts_entry(MOVTimeToSample **tts_data, unsigned int *tts_count, unsigned int *allocated_size,
-                         int count, int offset, unsigned int duration)
+static int add_tts_entry(MOVTimeToSample** tts_data, unsigned int* tts_count, unsigned int* allocated_size,
+    int count, int offset, unsigned int duration)
 {
-    MOVTimeToSample *tts_buf_new;
+    MOVTimeToSample* tts_buf_new;
     const size_t min_size_needed = (*tts_count + 1) * sizeof(MOVTimeToSample);
     const size_t requested_size =
         min_size_needed > *allocated_size ?
@@ -4140,10 +4134,10 @@ static int add_tts_entry(MOVTimeToSample **tts_data, unsigned int *tts_count, un
 }
 
 #define MAX_REORDER_DELAY 16
-static void mov_estimate_video_delay(MOVContext *c, AVStream* st)
+static void mov_estimate_video_delay(MOVContext* c, AVStream* st)
 {
-    MOVStreamContext *msc = st->priv_data;
-    FFStream *const sti = ffstream(st);
+    MOVStreamContext* msc = st->priv_data;
+    FFStream* const sti = ffstream(st);
     int ctts_ind = 0;
     int ctts_sample = 0;
     int64_t pts_buf[MAX_REORDER_DELAY + 1]; // Circular buffer to sort pts.
@@ -4178,7 +4172,8 @@ static void mov_estimate_video_delay(MOVContext *c, AVStream* st)
                 if (pts_buf[j] < pts_buf[r]) {
                     FFSWAP(int64_t, pts_buf[j], pts_buf[r]);
                     ++num_swaps;
-                } else {
+                }
+                else {
                     break;
                 }
                 j = r;
@@ -4192,11 +4187,11 @@ static void mov_estimate_video_delay(MOVContext *c, AVStream* st)
             }
         }
         av_log(c->fc, AV_LOG_DEBUG, "Setting codecpar->delay to %d for stream st: %d\n",
-               st->codecpar->video_delay, st->index);
+            st->codecpar->video_delay, st->index);
     }
 }
 
-static void mov_current_sample_inc(MOVStreamContext *sc)
+static void mov_current_sample_inc(MOVStreamContext* sc)
 {
     sc->current_sample++;
     sc->current_index++;
@@ -4208,7 +4203,7 @@ static void mov_current_sample_inc(MOVStreamContext *sc)
     }
 }
 
-static void mov_current_sample_dec(MOVStreamContext *sc)
+static void mov_current_sample_dec(MOVStreamContext* sc)
 {
     sc->current_sample--;
     sc->current_index--;
@@ -4220,7 +4215,7 @@ static void mov_current_sample_dec(MOVStreamContext *sc)
     }
 }
 
-static void mov_current_sample_set(MOVStreamContext *sc, int current_sample)
+static void mov_current_sample_set(MOVStreamContext* sc, int current_sample)
 {
     int64_t range_size;
 
@@ -4248,15 +4243,15 @@ static void mov_current_sample_set(MOVStreamContext *sc, int current_sample)
  * Also fixes the timestamps of the index entries to match the timeline
  * specified the edit lists.
  */
-static void mov_fix_index(MOVContext *mov, AVStream *st)
+static void mov_fix_index(MOVContext* mov, AVStream* st)
 {
-    MOVStreamContext *msc = st->priv_data;
-    FFStream *const sti = ffstream(st);
-    AVIndexEntry *e_old = sti->index_entries;
+    MOVStreamContext* msc = st->priv_data;
+    FFStream* const sti = ffstream(st);
+    AVIndexEntry* e_old = sti->index_entries;
     int nb_old = sti->nb_index_entries;
-    const AVIndexEntry *e_old_end = e_old + nb_old;
-    const AVIndexEntry *current = NULL;
-    MOVTimeToSample *tts_data_old = msc->tts_data;
+    const AVIndexEntry* e_old_end = e_old + nb_old;
+    const AVIndexEntry* current = NULL;
+    MOVTimeToSample* tts_data_old = msc->tts_data;
     int64_t tts_index_old = 0;
     int64_t tts_sample_old = 0;
     int64_t tts_count_old = msc->tts_count;
@@ -4279,7 +4274,7 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
     int num_discarded_begin = 0;
     int first_non_zero_audio_edit = -1;
     int packet_skip_samples = 0;
-    MOVIndexRange *current_index_range = NULL;
+    MOVIndexRange* current_index_range = NULL;
     int found_keyframe_after_edit = 0;
     int found_non_empty_edit = 0;
 
@@ -4289,7 +4284,7 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
 
     // allocate the index ranges array
     msc->index_ranges = av_malloc_array(msc->elst_count + 1,
-                                        sizeof(msc->index_ranges[0]));
+        sizeof(msc->index_ranges[0]));
     if (!msc->index_ranges) {
         av_log(mov->fc, AV_LOG_ERROR, "Cannot allocate index ranges buffer\n");
         return;
@@ -4321,9 +4316,9 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
     start_dts = edit_list_dts_entry_end;
 
     while (get_edit_list_entry(mov, msc, edit_list_index, &edit_list_media_time,
-                               &edit_list_duration, mov->time_scale)) {
+        &edit_list_duration, mov->time_scale)) {
         av_log(mov->fc, AV_LOG_DEBUG, "Processing st: %d, edit list %"PRId64" - media time: %"PRId64", duration: %"PRId64"\n",
-               st->index, edit_list_index, edit_list_media_time, edit_list_duration);
+            st->index, edit_list_index, edit_list_media_time, edit_list_duration);
         edit_list_index++;
         edit_list_dts_counter = edit_list_dts_entry_end;
         edit_list_dts_entry_end += edit_list_duration;
@@ -4339,7 +4334,8 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
         if (st->codecpar->codec_type == AVMEDIA_TYPE_AUDIO) {
             if (first_non_zero_audio_edit < 0) {
                 first_non_zero_audio_edit = 1;
-            } else {
+            }
+            else {
                 first_non_zero_audio_edit = 0;
             }
 
@@ -4360,15 +4356,15 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
         }
 
         if (find_prev_closest_index(st, e_old, nb_old, tts_data_old, tts_count_old, search_timestamp, 0,
-                                    &index, &tts_index_old, &tts_sample_old) < 0) {
+            &index, &tts_index_old, &tts_sample_old) < 0) {
             av_log(mov->fc, AV_LOG_WARNING,
-                   "st: %d edit list: %"PRId64" Missing key frame while searching for timestamp: %"PRId64"\n",
-                   st->index, edit_list_index, search_timestamp);
+                "st: %d edit list: %"PRId64" Missing key frame while searching for timestamp: %"PRId64"\n",
+                st->index, edit_list_index, search_timestamp);
             if (find_prev_closest_index(st, e_old, nb_old, tts_data_old, tts_count_old, search_timestamp, AVSEEK_FLAG_ANY,
-                                        &index, &tts_index_old, &tts_sample_old) < 0) {
+                &index, &tts_index_old, &tts_sample_old) < 0) {
                 av_log(mov->fc, AV_LOG_WARNING,
-                       "st: %d edit list %"PRId64" Cannot find an index entry before timestamp: %"PRId64".\n",
-                       st->index, edit_list_index, search_timestamp);
+                    "st: %d edit list %"PRId64" Cannot find an index entry before timestamp: %"PRId64".\n",
+                    st->index, edit_list_index, search_timestamp);
                 index = 0;
                 tts_index_old = 0;
                 tts_sample_old = 0;
@@ -4382,8 +4378,8 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
         found_keyframe_after_edit = 0;
         for (; current < e_old_end; current++, index++) {
             // check  if frame outside edit list mark it for discard
-            frame_duration = (current + 1 <  e_old_end) ?
-                             ((current + 1)->timestamp - current->timestamp) : edit_list_duration;
+            frame_duration = (current + 1 < e_old_end) ?
+                ((current + 1)->timestamp - current->timestamp) : edit_list_duration;
 
             flags = current->flags;
 
@@ -4394,18 +4390,18 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
             if (tts_data_old && tts_index_old < tts_count_old) {
                 curr_ctts = tts_data_old[tts_index_old].offset;
                 av_log(mov->fc, AV_LOG_TRACE, "stts: %"PRId64" ctts: %"PRId64", tts_index: %"PRId64", tts_count: %"PRId64"\n",
-                       curr_cts, curr_ctts, tts_index_old, tts_count_old);
+                    curr_cts, curr_ctts, tts_index_old, tts_count_old);
                 curr_cts += curr_ctts;
                 tts_sample_old++;
                 if (tts_sample_old == tts_data_old[tts_index_old].count) {
                     if (add_tts_entry(&msc->tts_data, &msc->tts_count,
-                                       &msc->tts_allocated_size,
-                                       tts_data_old[tts_index_old].count - edit_list_start_tts_sample,
-                                       tts_data_old[tts_index_old].offset, tts_data_old[tts_index_old].duration) == -1) {
+                        &msc->tts_allocated_size,
+                        tts_data_old[tts_index_old].count - edit_list_start_tts_sample,
+                        tts_data_old[tts_index_old].offset, tts_data_old[tts_index_old].duration) == -1) {
                         av_log(mov->fc, AV_LOG_ERROR, "Cannot add Time To Sample entry %"PRId64" - {%"PRId64", %d}\n",
-                               tts_index_old,
-                               tts_data_old[tts_index_old].count - edit_list_start_tts_sample,
-                               tts_data_old[tts_index_old].offset);
+                            tts_index_old,
+                            tts_data_old[tts_index_old].count - edit_list_start_tts_sample,
+                            tts_data_old[tts_index_old].offset);
                         break;
                     }
                     tts_index_old++;
@@ -4423,26 +4419,27 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
 
                     // Shift the index entry timestamp by packet_skip_samples to be correct.
                     edit_list_dts_counter -= packet_skip_samples;
-                    if (edit_list_start_encountered == 0)  {
+                    if (edit_list_start_encountered == 0) {
                         edit_list_start_encountered = 1;
                         // Make timestamps strictly monotonically increasing for audio, by rewriting timestamps for
                         // discarded packets.
                         if (frame_duration_buffer) {
                             fix_index_entry_timestamps(st, sti->nb_index_entries, edit_list_dts_counter,
-                                                       frame_duration_buffer, num_discarded_begin);
+                                frame_duration_buffer, num_discarded_begin);
                             av_freep(&frame_duration_buffer);
                         }
                     }
 
                     av_log(mov->fc, AV_LOG_DEBUG, "skip %d audio samples from curr_cts: %"PRId64"\n", packet_skip_samples, curr_cts);
-                } else {
+                }
+                else {
                     flags |= AVINDEX_DISCARD_FRAME;
                     av_log(mov->fc, AV_LOG_DEBUG, "drop a frame at curr_cts: %"PRId64" @ %"PRId64"\n", curr_cts, index);
 
                     if (edit_list_start_encountered == 0) {
                         num_discarded_begin++;
                         frame_duration_buffer = av_realloc(frame_duration_buffer,
-                                                           num_discarded_begin * sizeof(int64_t));
+                            num_discarded_begin * sizeof(int64_t));
                         if (!frame_duration_buffer) {
                             av_log(mov->fc, AV_LOG_ERROR, "Cannot reallocate frame duration buffer\n");
                             break;
@@ -4456,10 +4453,12 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
                         }
                     }
                 }
-            } else {
+            }
+            else {
                 if (msc->min_corrected_pts < 0) {
                     msc->min_corrected_pts = edit_list_dts_counter + curr_ctts + msc->dts_shift;
-                } else {
+                }
+                else {
                     msc->min_corrected_pts = FFMIN(msc->min_corrected_pts, edit_list_dts_counter + curr_ctts + msc->dts_shift);
                 }
                 if (edit_list_start_encountered == 0) {
@@ -4468,14 +4467,14 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
                     // discarded packets.
                     if (frame_duration_buffer) {
                         fix_index_entry_timestamps(st, sti->nb_index_entries, edit_list_dts_counter,
-                                                   frame_duration_buffer, num_discarded_begin);
+                            frame_duration_buffer, num_discarded_begin);
                         av_freep(&frame_duration_buffer);
                     }
                 }
             }
 
             if (add_index_entry(st, current->pos, edit_list_dts_counter, current->size,
-                                current->min_distance, flags) == -1) {
+                current->min_distance, flags) == -1) {
                 av_log(mov->fc, AV_LOG_ERROR, "Cannot add index entry\n");
                 break;
             }
@@ -4483,7 +4482,7 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
             // Update the index ranges array
             if (!current_index_range || index != current_index_range->end) {
                 current_index_range = current_index_range ? current_index_range + 1
-                                                          : msc->index_ranges;
+                    : msc->index_ranges;
                 current_index_range->start = index;
             }
             current_index_range->end = index + 1;
@@ -4506,12 +4505,12 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
                     }
                     if (tts_sample_old != 0) {
                         if (add_tts_entry(&msc->tts_data, &msc->tts_count,
-                                           &msc->tts_allocated_size,
-                                           tts_sample_old - edit_list_start_tts_sample,
-                                           tts_data_old[tts_index_old].offset, tts_data_old[tts_index_old].duration) == -1) {
+                            &msc->tts_allocated_size,
+                            tts_sample_old - edit_list_start_tts_sample,
+                            tts_data_old[tts_index_old].offset, tts_data_old[tts_index_old].duration) == -1) {
                             av_log(mov->fc, AV_LOG_ERROR, "Cannot add Time To Sample entry %"PRId64" - {%"PRId64", %d}\n",
-                                   tts_index_old, tts_sample_old - edit_list_start_tts_sample,
-                                   tts_data_old[tts_index_old].offset);
+                                tts_index_old, tts_sample_old - edit_list_start_tts_sample,
+                                tts_data_old[tts_index_old].offset);
                             break;
                         }
                     }
@@ -4547,13 +4546,13 @@ static void mov_fix_index(MOVContext *mov, AVStream *st)
 
     // Null terminate the index ranges array
     current_index_range = current_index_range ? current_index_range + 1
-                                              : msc->index_ranges;
+        : msc->index_ranges;
     current_index_range->start = 0;
     current_index_range->end = 0;
     msc->current_index = msc->index_ranges[0].start;
 }
 
-static uint32_t get_sgpd_sync_index(const MOVStreamContext *sc, int nal_unit_type)
+static uint32_t get_sgpd_sync_index(const MOVStreamContext* sc, int nal_unit_type)
 {
     for (uint32_t i = 0; i < sc->sgpd_sync_count; i++)
         if (sc->sgpd_sync[i] == nal_unit_type)
@@ -4561,12 +4560,12 @@ static uint32_t get_sgpd_sync_index(const MOVStreamContext *sc, int nal_unit_typ
     return 0;
 }
 
-static int build_open_gop_key_points(AVStream *st)
+static int build_open_gop_key_points(AVStream* st)
 {
     int k;
     int sample_id = 0;
     uint32_t cra_index;
-    MOVStreamContext *sc = st->priv_data;
+    MOVStreamContext* sc = st->priv_data;
 
     if (st->codecpar->codec_id != AV_CODEC_ID_HEVC || !sc->sync_group_count)
         return 0;
@@ -4585,7 +4584,7 @@ static int build_open_gop_key_points(AVStream *st)
     k = 0;
     for (uint32_t i = 0; i < sc->ctts_count; i++)
         for (int j = 0; j < sc->ctts_data[i].count; j++)
-             sc->sample_offsets[k++] = sc->ctts_data[i].offset;
+            sc->sample_offsets[k++] = sc->ctts_data[i].offset;
 
     /* The following HEVC NAL type reveal the use of open GOP sync points
      * (TODO: BLA types may also be concerned) */
@@ -4607,7 +4606,7 @@ static int build_open_gop_key_points(AVStream *st)
         return AVERROR(ENOMEM);
     k = 0;
     for (uint32_t i = 0; i < sc->sync_group_count; i++) {
-        const MOVSbgp *sg = &sc->sync_group[i];
+        const MOVSbgp* sg = &sc->sync_group[i];
         if (sg->index == cra_index)
             for (uint32_t j = 0; j < sg->count; j++)
                 sc->open_key_samples[k++] = sample_id;
@@ -4631,9 +4630,9 @@ static int build_open_gop_key_points(AVStream *st)
  * stts_count and ctts_count may be left untouched as they will be
  * used to check for the presence of either of them.
  */
-static int mov_merge_tts_data(MOVContext *mov, AVStream *st, int flags)
+static int mov_merge_tts_data(MOVContext* mov, AVStream* st, int flags)
 {
-    MOVStreamContext *sc = st->priv_data;
+    MOVStreamContext* sc = st->priv_data;
     int ctts = sc->ctts_data && (flags & MOV_MERGE_CTTS);
     int stts = sc->stts_data && (flags & MOV_MERGE_STTS);
     int idx = 0;
@@ -4646,30 +4645,31 @@ static int mov_merge_tts_data(MOVContext *mov, AVStream *st, int flags)
 
     if (ctts) {
         sc->tts_data = av_fast_realloc(NULL, &sc->tts_allocated_size,
-                                       sc->sample_count * sizeof(*sc->tts_data));
+            sc->sample_count * sizeof(*sc->tts_data));
         if (!sc->tts_data)
             return -1;
 
         memset(sc->tts_data, 0, sc->tts_allocated_size);
 
         for (int i = 0; i < sc->ctts_count &&
-                    idx < sc->sample_count; i++)
+            idx < sc->sample_count; i++)
             for (int j = 0; j < sc->ctts_data[i].count &&
-                        idx < sc->sample_count; j++) {
+                idx < sc->sample_count; j++) {
                 sc->tts_data[idx].offset = sc->ctts_data[i].offset;
                 sc->tts_data[idx++].count = 1;
             }
 
         sc->tts_count = idx;
-    } else
+    }
+    else
         sc->ctts_count = 0;
     av_freep(&sc->ctts_data);
     sc->ctts_allocated_size = 0;
 
     idx = 0;
     if (stts) {
-        MOVTimeToSample *tts_data = av_fast_realloc(sc->tts_data, &sc->tts_allocated_size,
-                                                    sc->sample_count * sizeof(*sc->tts_data));
+        MOVTimeToSample* tts_data = av_fast_realloc(sc->tts_data, &sc->tts_allocated_size,
+            sc->sample_count * sizeof(*sc->tts_data));
         if (!tts_data)
             return -1;
 
@@ -4678,15 +4678,16 @@ static int mov_merge_tts_data(MOVContext *mov, AVStream *st, int flags)
         sc->tts_data = tts_data;
 
         for (int i = 0; i < sc->stts_count &&
-                    idx < sc->sample_count; i++)
+            idx < sc->sample_count; i++)
             for (int j = 0; j < sc->stts_data[i].count &&
-                        idx < sc->sample_count; j++) {
+                idx < sc->sample_count; j++) {
                 sc->tts_data[idx].duration = sc->stts_data[i].duration;
                 sc->tts_data[idx++].count = 1;
             }
 
         sc->tts_count = FFMAX(sc->tts_count, idx);
-    } else
+    }
+    else
         sc->stts_count = 0;
     av_freep(&sc->stts_data);
     sc->stts_allocated_size = 0;
@@ -4694,10 +4695,10 @@ static int mov_merge_tts_data(MOVContext *mov, AVStream *st, int flags)
     return 0;
 }
 
-static void mov_build_index(MOVContext *mov, AVStream *st)
+static void mov_build_index(MOVContext* mov, AVStream* st)
 {
-    MOVStreamContext *sc = st->priv_data;
-    FFStream *const sti = ffstream(st);
+    MOVStreamContext* sc = st->priv_data;
+    FFStream* const sti = ffstream(st);
     int64_t current_offset;
     int64_t current_dts = 0;
     unsigned int stts_index = 0;
@@ -4717,15 +4718,17 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
         int64_t start_time = 0; // start time of the media
 
         for (i = 0; i < sc->elst_count; i++) {
-            const MOVElst *e = &sc->elst_data[i];
+            const MOVElst* e = &sc->elst_data[i];
             if (i == 0 && e->time == -1) {
                 /* if empty, the first entry is the start time of the stream
                  * relative to the presentation itself */
                 empty_duration = e->duration;
                 edit_start_index = 1;
-            } else if (i == edit_start_index && e->time >= 0) {
+            }
+            else if (i == edit_start_index && e->time >= 0) {
                 start_time = e->time;
-            } else {
+            }
+            else {
                 multiple_edits = 1;
             }
         }
@@ -4733,11 +4736,11 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
         if (multiple_edits && !mov->advanced_editlist) {
             if (mov->advanced_editlist_autodisabled)
                 av_log(mov->fc, AV_LOG_WARNING, "multiple edit list entries, "
-                       "not supported in fragmented MP4 files\n");
+                    "not supported in fragmented MP4 files\n");
             else
                 av_log(mov->fc, AV_LOG_WARNING, "multiple edit list entries, "
-                       "Use -advanced_editlist to correctly decode otherwise "
-                       "a/v desync might occur\n");
+                    "Use -advanced_editlist to correctly decode otherwise "
+                    "a/v desync might occur\n");
         }
 
         /* adjust first dts according to edit list */
@@ -4748,7 +4751,7 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
             if (av_sat_sub64(start_time, empty_duration) != start_time - (uint64_t)empty_duration)
                 av_log(mov->fc, AV_LOG_WARNING, "start_time - empty_duration is not representable\n");
 
-            sc->time_offset = start_time -  (uint64_t)empty_duration;
+            sc->time_offset = start_time - (uint64_t)empty_duration;
             sc->min_corrected_pts = start_time;
             if (!mov->advanced_editlist)
                 current_dts = -sc->time_offset;
